%define name kdelinks
%define version 0.1.1
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}

Summary: K Desktop common application links and types
Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/KDE
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0 
BuildArchitectures: noarch

%changelog

%description
A set of common application links for the KDE desktop pre-packaged.
These include netscape, gimp, and others.  Wine support for running
.exe files from kde is also included.

%prep

%setup -n kdelinks

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
./install $RPM_BUILD_ROOT/%{prefix}

%files
%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/mimelnk
%attr(644,root,root) %{prefix}/share/icons/*.xpm
%attr(644,root,root) %{prefix}/share/icons/mini/*.xpm

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}
